#!/bin/bash
#
function lte_enum() {
  if [[ "${DEVTYPE}" == "wwan" ]]; then
    # For build-in modem
    echo "0"
  elif [[ "${ID_USB_DRIVER}" == "cdc_ether" ]]; then
    ind=1
    while [ -n "$(mkdir /run/lock-lte${ind} 2>&1)" ]; do ind=$((ind + 1)); done
    echo ${ind}
  else
    echo "9" #fallback
  fi
} # function lte_enum

echo "LTE process – $* --" | systemd-cat -p info -t "lte-process"
set | systemd-cat -p info -t "lte-process"
#
case "$1" in
enum)
  lte_enum
  echo "Assign number $ind" | systemd-cat -p info -t "lte-process"
  ;;
*)
  /opt/lte-hotplug.sh $1 $2
  ;;
esac
#
exit 0
