#!/bin/bash
exec 1> >(systemd-cat -p info -t lte-dongle-handler) 2>&1

source /scripts/basic_vars
source /scripts/basic_functions
source /root/admin-openrc.sh

###

dongles=$(ls -tr /config/_lte_dongle_detect/)

for iface in ${dongles[@]};
do
  rm -rf /config/_lte_dongle_detect/$iface
  /opt/lte-process.sh add $iface & disown
done
